# EnderChest (Scissors-API 1.17.1-R0.1-SNAPSHOT API)
declaration: package: org.bukkit.material, class: EnderChest

Package org.bukkit.material

# Class EnderChest

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.DirectionalContainer
org.bukkit.material.EnderChest

All Implemented Interfaces:
  `Cloneable`, `Directional`

@Deprecated public class EnderChest extends DirectionalContainer
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.
Represents an ender chest

## Constructor Summary

Constructors
Constructor
Description
`EnderChest()`
Deprecated.
`EnderChest(BlockFace direction)`
Deprecated.
Instantiate an ender chest facing in a particular direction.
`EnderChest(Material type)`
Deprecated.
`EnderChest(Material type, byte data)`
Deprecated.
Magic value

## Method Summary

Modifier and Type
Method
Description
`EnderChest`
`clone()`
Deprecated.

### Methods inherited from class org.bukkit.material.DirectionalContainer

`getFacing, setFacingDirection, toString`

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### EnderChest

public EnderChest()
Deprecated.

### EnderChest

public EnderChest(BlockFace direction)
Deprecated.
Instantiate an ender chest facing in a particular direction.

Parameters:
  `direction` - the direction the ender chest's lid opens towards

### EnderChest

public EnderChest(Material type)
Deprecated.

### EnderChest

@Deprecated public EnderChest(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

## Method Details

### clone

public EnderChest clone()
Deprecated.

Overrides:
  `clone` in class `DirectionalContainer`